# $Revision: 1.7 $, $Date: 2009/08/18 22:01:54 $
%define	orgname	psimedia
Summary:	Audio and Video plugin for PSI
Name:		psi-plugin-psimedia
Version:	1.0.3
Release:	3
License:	LGPL v2.1+
Group:		Applications/Communications
Source0:	http://delta.affinix.com/download/psimedia/psimedia-%{version}.tar.bz2
# Source0-md5:	1be71c37d71c655ffc2c53cf86c77a7a
URL:		http://delta.affinix.com/psimedia/
BuildRequires:	QtCore-devel >= 4.5.0
BuildRequires:	glib2-devel
BuildRequires:	gstreamer-plugins-base-devel
BuildRequires:	liboil-devel
BuildRequires:	speex-devel
Requires:	gstreamer-audio-effects-base
Requires:	gstreamer-audio-effects-good
Requires:	gstreamer-audiosink-alsa
Requires:	gstreamer-plugins-base
Requires:	gstreamer-plugins-good
Requires:	gstreamer-speex
Requires:	gstreamer-theora
Requires:	gstreamer-video-effects
Requires:	gstreamer-vorbis
Requires:	psi >= 0.13
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
PsiMedia is a thick abstraction layer for providing audio and video
RTP services to Psi-like IM clients.

%prep
%setup -q -n %{orgname}-%{version}

%build
./configure
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

install -d $RPM_BUILD_ROOT%{_libdir}/psi/plugins

install gstprovider/libgstprovider.so $RPM_BUILD_ROOT%{_libdir}/psi/plugins

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc TODO
%attr(755,root,root) %{_libdir}/psi/plugins/*.so

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: psi-plugin-psimedia.spec,v $
Revision 1.7  2009/08/18 22:01:54  cactus
- rel 3; R: gstreamer-vorbis

Revision 1.6  2009/08/17 21:27:45  cactus
- rel 2.

Revision 1.5  2009/08/17 21:15:13  cactus
- R: gstreamer-theora

Revision 1.4  2009/08/17 09:51:31  arekm
- and more deps

Revision 1.3  2009/08/17 09:41:19  arekm
- more deps

Revision 1.2  2009/08/17 09:21:18  arekm
- md5 fix

Revision 1.1  2009/08/17 09:20:52  arekm
- initial

